| AOMedia AV1 Codec

aom_gop_info Struct Reference
Supported Codecs » AOM » AOMedia AOM/AV1 Encoder

The GOP structure information determined by the encoder. 250 is MAX_STATIC_GF_GROUP_LENGTH defined in av1/firstpass.h. This is a subset of GF_GROUP. More fields can be added if needed. More...

`#include <aomcx.h>`

## Data Fields
int | gop_size
int | coding_index [250]
int | display_index [250]
int | layer_depth [250]

## Detailed Description

The GOP structure information determined by the encoder. 250 is MAX_STATIC_GF_GROUP_LENGTH defined in av1/firstpass.h. This is a subset of GF_GROUP. More fields can be added if needed.

Attention
  Experimental. Not part of the stable API.

## Field Documentation

## ◆ gop_size

int aom_gop_info::gop_size

The number of frames of this GOP

## ◆ coding_index

int aom_gop_info::coding_index[250]

The coding index for each entry in the gop

## ◆ display_index

int aom_gop_info::display_index[250]

The display index for each entry in the gop

## ◆ layer_depth

int aom_gop_info::layer_depth[250]

The layer depth for each entry in the gop

The documentation for this struct was generated from the following file:

- aom/aomcx.h